commit:     46fbad3b7db1bb36e11663ffb194ac2e7cd82dd8
Author:     David Heidelberg <david <AT> ixit <DOT> cz>
AuthorDate: Wed Oct  9 08:17:35 2019 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Thu Oct 10 06:56:16 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46fbad3b

net-fs/curlftpfs: fix sys-fs/fuse SLOT

Closes: https://bugs.gentoo.org/697018

Signed-off-by: David Heidelberg <david <AT> ixit.cz>
Closes: https://github.com/gentoo/gentoo/pull/13219
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 net-fs/curlftpfs/curlftpfs-0.9.2-r4.ebuild | 42 ++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/net-fs/curlftpfs/curlftpfs-0.9.2-r4.ebuild 
b/net-fs/curlftpfs/curlftpfs-0.9.2-r4.ebuild
new file mode 100644
index 00000000000..ee8b52e0a00
--- /dev/null
+++ b/net-fs/curlftpfs/curlftpfs-0.9.2-r4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils autotools
+
+DESCRIPTION="File system for accessing ftp hosts based on FUSE"
+HOMEPAGE="http://curlftpfs.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux ~x86-macos"
+IUSE=""
+RESTRICT="test" # bug 258460
+
+RDEPEND=">=net-misc/curl-7.17.0
+       >=sys-fs/fuse-2.2:0=
+       >=dev-libs/glib-2.0"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+src_prepare() {
+       epatch "${FILESDIR}"/${P}-64bit_filesize.patch
+       epatch "${FILESDIR}"/${PN}-0.9.2-darwin.patch
+       epatch "${FILESDIR}"/${PN}-0.9.2-memleak.patch
+       epatch "${FILESDIR}"/${PN}-0.9.2-memleak-nocache.patch
+       epatch "${FILESDIR}"/${PN}-0.9.2-fix-escaping.patch
+
+       # automake-1.13.1 obsoletes AM_* bit #469818
+       sed -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/' configure.ac || die
+
+       epatch_user
+
+       eautoreconf
+}
+
+src_install() {
+       default
+       dodoc README
+}

Reply via email to